using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using CenterSpace.Free;

namespace RandomNumbers1
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class frmRandomNumbers1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnStart;
		private System.Windows.Forms.TextBox txtBoxResult;
		private System.Windows.Forms.RadioButton rdbInteger;
		private System.Windows.Forms.RadioButton rdbFloat;
		private System.Windows.Forms.RadioButton rdbDouble;
		private System.Windows.Forms.GroupBox gpbChoice;
		private System.Windows.Forms.Label lblExplained;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmRandomNumbers1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnStart = new System.Windows.Forms.Button();
			this.txtBoxResult = new System.Windows.Forms.TextBox();
			this.rdbInteger = new System.Windows.Forms.RadioButton();
			this.rdbFloat = new System.Windows.Forms.RadioButton();
			this.rdbDouble = new System.Windows.Forms.RadioButton();
			this.gpbChoice = new System.Windows.Forms.GroupBox();
			this.lblExplained = new System.Windows.Forms.Label();
			this.gpbChoice.SuspendLayout();
			this.SuspendLayout();
			// 
			// btnStart
			// 
			this.btnStart.Location = new System.Drawing.Point(176, 16);
			this.btnStart.Name = "btnStart";
			this.btnStart.TabIndex = 0;
			this.btnStart.Text = "Start";
			this.btnStart.Click += new System.EventHandler(this.btnStart_Click);
			// 
			// txtBoxResult
			// 
			this.txtBoxResult.Location = new System.Drawing.Point(24, 112);
			this.txtBoxResult.Multiline = true;
			this.txtBoxResult.Name = "txtBoxResult";
			this.txtBoxResult.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.txtBoxResult.Size = new System.Drawing.Size(240, 136);
			this.txtBoxResult.TabIndex = 1;
			this.txtBoxResult.Text = "";
			// 
			// rdbInteger
			// 
			this.rdbInteger.Location = new System.Drawing.Point(24, 16);
			this.rdbInteger.Name = "rdbInteger";
			this.rdbInteger.TabIndex = 2;
			this.rdbInteger.Text = "Integer (0 - 20)";
			// 
			// rdbFloat
			// 
			this.rdbFloat.Location = new System.Drawing.Point(24, 40);
			this.rdbFloat.Name = "rdbFloat";
			this.rdbFloat.TabIndex = 3;
			this.rdbFloat.Text = "Float (0 < 20)";
			// 
			// rdbDouble
			// 
			this.rdbDouble.Location = new System.Drawing.Point(24, 64);
			this.rdbDouble.Name = "rdbDouble";
			this.rdbDouble.TabIndex = 4;
			this.rdbDouble.Text = "Double (0 - 20)";
			// 
			// gpbChoice
			// 
			this.gpbChoice.Controls.Add(this.rdbFloat);
			this.gpbChoice.Controls.Add(this.rdbDouble);
			this.gpbChoice.Controls.Add(this.rdbInteger);
			this.gpbChoice.Location = new System.Drawing.Point(8, 8);
			this.gpbChoice.Name = "gpbChoice";
			this.gpbChoice.Size = new System.Drawing.Size(136, 96);
			this.gpbChoice.TabIndex = 5;
			this.gpbChoice.TabStop = false;
			this.gpbChoice.Text = "Pick an option";
			// 
			// lblExplained
			// 
			this.lblExplained.Location = new System.Drawing.Point(152, 48);
			this.lblExplained.Name = "lblExplained";
			this.lblExplained.Size = new System.Drawing.Size(128, 40);
			this.lblExplained.TabIndex = 6;
			this.lblExplained.Text = "1000 random numbers in the range shown will selected";
			// 
			// frmRandomNumbers1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Controls.Add(this.lblExplained);
			this.Controls.Add(this.gpbChoice);
			this.Controls.Add(this.txtBoxResult);
			this.Controls.Add(this.btnStart);
			this.Name = "frmRandomNumbers1";
			this.Text = "Random Numbers";
			this.gpbChoice.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new frmRandomNumbers1());
		}

		private void btnStart_Click(object sender, System.EventArgs e)
		{
			if (this.rdbInteger.Checked || this.rdbFloat.Checked || this.rdbDouble.Checked)
			{
				MersenneTwister random = new MersenneTwister((int)DateTime.Now.Ticks);

				this.txtBoxResult.Text = "";
				this.txtBoxResult.Refresh();
				double dblNum;

				for (int i = 0; i < 1000; i++)
				{
					if (this.rdbInteger.Checked)
					{
						//Pick 1000 random integers from the range 0 untill 20 
						dblNum = random.Next(0, 20);						
					}
					else if(this.rdbFloat.Checked)
					{
						//Pick 1000 random positive floats from the range 0 till 20 
						dblNum = random.NextFloatPositive() * 20;
					}
					else //Double checked
					{
						//Pick 1000 random positive floats from the range 0 untill 20 
						dblNum = random.NextDouble(true) * 20;
					}

					this.txtBoxResult.AppendText(dblNum.ToString() + "\r\n");
				}			
			}
		}
	}
}
